Get the active rolling release information for a project
GET
https://api.vercel.com/v1/projects/{idOrName}/rolling-releaseReturn the Rolling Release for a project, regardless of whether the rollout is active, aborted, or completed. If the feature is enabled but no deployment has occurred yet, null will be returned.
https://api.vercel.com/v1/projects/{idOrName}/rolling-release
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/rolling-release?state=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "rollingRelease": { "state": "ACTIVE", "currentDeployment": { "name": "my-project", "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "canaryDeployment": { "name": "my-project", "createdAt": "1540257589405", "id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ", "readyState": "READY", "readyStateAt": "123", "source": "cli", "target": "null", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "queuedDeploymentId": "dpl_ghi789", "advancementType": "manual-approval", "stages": [ { "index": "0", "isFinalStage": "false", "targetPercentage": "25", "requireApproval": "false", "duration": "null", "linearShift": "false" } ], "activeStage": { "index": "0", "isFinalStage": "false", "targetPercentage": "25", "requireApproval": "false", "duration": "null", "linearShift": "false" }, "nextStage": { "index": "0", "isFinalStage": "false", "targetPercentage": "25", "requireApproval": "false", "duration": "null", "linearShift": "false" }, "startedAt": "1716210500000", "updatedAt": "1716210600000" }}AuthorizationbearerToken
Default authentication mechanism
idOrNamestringRequired
Project ID or project name (URL-encoded)
statestringOptional
Filter by rolling release state
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
200Success
rollingReleaseobjectRequired
Rolling release information including configuration and document details, or null if no rolling release exists
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error